# Matrix Synapse

Matrix Synapse, based on the [official `matrixdotorg/synapse`
image][synapse-docker].

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`compose-stacks/traefik`][compose-traefik]
2. `cp .envrc.sample .envrc`
3. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
4. `direnv allow` (or `. .envrc`)
5. `abra deploy`
6. `abra service_run synapse` to open a shell
7. `register_new_matrix_user -c /data/homeserver.yaml http://localhost:8008`

[synapse-docker]: https://hub.docker.com/r/matrixdotorg/synapse
[abra]: https://git.autonomic.zone/autonomic-cooperative/abra
[compose-traefik]: https://git.autonomic.zone/compose-stacks/traefik
